using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThickTcpUiInWindow;

namespace ThickTcpUiInWindow.MainEdit
{
    /// <summary>
    /// Page_MainEdit.xaml 的交互逻辑
    /// </summary>
    public partial class Page_MainEdit : Page
    {
        FLYLayoutManager mManager;

        public Page_MainEdit()
        {
            InitializeComponent();
        }
        public void Init(FLYLayoutManager manager)
        {
            mManager = manager;
        }
        private void button_dynarea_Click(object sender, RoutedEventArgs e)
        {
            Page_MainEditDynArea p = new Page_MainEditDynArea();
            p.Init(mManager);
            NavigationService.Navigate(p);
        }

        private void button_graph_Click(object sender, RoutedEventArgs e)
        {
            Page_MainEditGraph p = new Page_MainEditGraph();
            p.Init(mManager);
            NavigationService.Navigate(p);
        }

        private void button_setting_Click(object sender, RoutedEventArgs e)
        {
            Window_MainSet w = new Window_MainSet();

            w.Init(mManager);
            w.Owner = FLY.ControlLibrary.COMMON.GetWindow(this);
            w.ShowDialog();
        }
    }
}
